Name:           apache-commons-compress
Version:        1.17
Release:        4
Summary:        Java API for working with archivers and compressed files
License:        ASL 2.0
URL:            http://commons.apache.org/proper/commons-compress/
BuildArch:      noarch
Source0:        http://archive.apache.org/dist/commons/compress/source/commons-compress-%{version}-src.tar.gz
Patch0001:      0001-Remove-Brotli-compressor.patch
Patch0002:      0002-Remove-ZSTD-compressor.patch
Patch0003:      0003-COMPRESS-463-throw-exception-when-detecting-a-trunca.patch
BuildRequires:  maven-local mvn(junit:junit) mvn(org.apache.commons:commons-parent:pom:)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin) mvn(org.powermock:powermock-api-mockito)
BuildRequires:  mvn(org.apache.maven.plugins:maven-antrun-plugin) mvn(org.osgi:org.osgi.core)
BuildRequires:  mvn(org.powermock:powermock-module-junit4) mvn(org.tukaani:xz)

%description
The Apache Commons Compress library defines an API for working with
ar, cpio, Unix dump, tar, zip, gzip, XZ, Pack200 and bzip2 files.

%package help
Summary:        API documentation for apache-commons-compress

Provides:       %{name}-javadoc = %{version}-%{release}
Obsoletes:      %{name}-javadoc < %{version}-%{release}

%description help
This package provides API documentation for apache-commons-compress.

%prep
%autosetup -n commons-compress-%{version}-src -p1
%pom_remove_dep org.brotli:dec
rm -r src/{main,test}/java/org/apache/commons/compress/compressors/brotli
%pom_remove_dep :zstd-jni
rm -r src/{main,test}/java/org/apache/commons/compress/compressors/zstandard
rm src/test/java/org/apache/commons/compress/compressors/DetectCompressorTestCase.java
%pom_remove_dep org.ops4j.pax.exam:::test
%pom_remove_dep :org.apache.felix.framework::test
%pom_remove_dep :javax.inject::test
%pom_remove_dep :slf4j-api::test
rm src/test/java/org/apache/commons/compress/OsgiITest.java

%build
%mvn_file  : commons-compress apache-commons-compress
%mvn_alias : commons:
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc LICENSE.txt NOTICE.txt

%files help -f .mfiles-javadoc

%changelog
* Wed Dec 4 2019 Tianfei <tianfei16@huawei.com> - 1.17-4
- Package init
